Bug 167381 - Review request: perl-File-NCopy - Copy file, file Copy file[s] | dir[s], dir
Review request: perl-File-NCopy - Copy file, file Copy file[s] | dir[s], dir
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Paul Howarth
David Lawrence
http://search.cpan.org/dist/File-NCopy/
:
Depends On:
Blocks: FE-ACCEPT 168187
  Show dependency treegraph
 
Reported: 2005-09-02 00:55 EDT by Ralf Corsepius
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-23 02:24:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch addressing review issues (1.32 KB, patch)
2005-09-02 08:59 EDT, Paul Howarth
no flags Details | Diff

  None (edit)
Description Ralf Corsepius 2005-09-02 00:55:53 EDT
Spec Name or Url:
ftp://packman.iu-bremen.de/fedora/SRPMS/perl-File-NCopy.spec

SRPM Name or Url:
ftp://packman.iu-bremen.de/fedora/SRPMS/perl-File-NCopy-0.34-1.src.rpm

Description:
File::NCopy copies files to directories, or a single file to another
file. The functionality is very similar to cp.
Comment 1 Paul Howarth 2005-09-02 08:58:21 EDT
Review:

- rpmlint clean
- package and spec file name OK
- package meets guidelines
- license is same as perl, matches upstream
- spec file written in English and is legible
- sources match upstream
- builds OK in mock on FC4 (i386)
- BRs OK
- no locales, libraries, subpackages or pkgconfigs to worry about
- not relocatable
- no directory ownership or permissions problems
- no duplicate files
- %clean section present and correct
- code, not content
- no large docs
- docs don't affect runtime
- no scriptlets

Needswork:

- URL for Source0 is 404-compliant
- license text not included

Suggestions:

- Summary could be clearer I think; how about:
  Copy files to directories, or a single file to another file

Comment 2 Paul Howarth 2005-09-02 08:59:21 EDT
Created attachment 118390 [details]
Patch addressing review issues
Comment 3 Ralf Corsepius 2005-09-02 09:20:14 EDT
(In reply to comment #1)

> - URL for Source0 is 404-compliant
What kind of superfluous kind of convention are you trying to invent now?

> - Summary could be clearer I think; how about:
>   Copy files to directories, or a single file to another file
This is the original dist description from
http://search.cpan.org/dist/File-NCopy
Comment 4 Paul Howarth 2005-09-02 09:24:15 EDT
(In reply to comment #3)
> (In reply to comment #1)
> 
> > - URL for Source0 is 404-compliant
> What kind of superfluous kind of convention are you trying to invent now?

This one:

$ spectool --gf perl-File-NCopy.spec
--13:44:12--  http://www.cpan.org/modules/by-module/File/File-NCopy-0.34.tar.gz
           => `./File-NCopy-0.34.tar.gz'
Resolving www.cpan.org... 66.39.76.93
Connecting to www.cpan.org[66.39.76.93]:80... connected.
HTTP request sent, awaiting response... 404 Not Found
13:44:12 ERROR 404: Not Found.

> > - Summary could be clearer I think; how about:
> >   Copy files to directories, or a single file to another file
> This is the original dist description from
> http://search.cpan.org/dist/File-NCopy

I know it is. That doesn't make it a clear description of what the package is
for. I believe my suggestion is much clearer, but it's only a suggestion; feel
free to use the original text if you prefer.
Comment 5 Jose Pedro Oliveira 2005-09-02 09:33:31 EDT
This link works
http://www.cpan.org/authors/id/M/MZ/MZSANFORD/File-NCopy-0.34.tar.gz

It appears to be a missing or a broken symbolic link. The tarballs in CPAN
are all located under the authors directory tree.  All others references
(e.g. from the modules directory) are symbolic links.
Comment 7 Paul Howarth 2005-09-02 10:56:35 EDT
License text still missing, no changelog entry.
Comment 8 Jose Pedro Oliveira 2005-09-09 21:40:42 EDT
To get the package approved just add following line

   "# For license text(s), see the perl package."

to the %files section (and the changelog entry).


Example
-------

--- perl-File-NCopy.spec.2      2005-09-02 14:50:15.000000000 +0100
+++ perl-File-NCopy.spec        2005-09-10 02:38:20.000000000 +0100
@@ -37,6 +37,7 @@

 %files
 %defattr(-,root,root,-)
+# For license text(s), see the perl package.
 %doc Changes
 %{perl_vendorlib}/File
 %{_mandir}/man3/*
Comment 9 Paul Howarth 2005-09-19 07:44:06 EDT
Since the license text policy has now changed, this package meets the guidelines
and is Approved.

Please fix the changelog entry though to make the release consistent, and
s/www/search/ on the Source0 URL.
Comment 10 Paul Howarth 2005-09-19 07:46:25 EDT
Aargh. Forget the bit about Source0; the current URL works fine.

Note You need to log in before you can comment on or make changes to this bug.